<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage Greatnews Pro
	 * @since Greatnews Pro 1.0.0
	 */

	/**
	 * greatnews_pro_doctype hook
	 *
	 * @hooked greatnews_pro_doctype -  10
	 *
	 */
	do_action( 'greatnews_pro_doctype' );

?>
<head>
<?php
	/**
	 * greatnews_pro_before_wp_head hook
	 *
	 * @hooked greatnews_pro_head -  10
	 *
	 */
	do_action( 'greatnews_pro_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>

<?php
	/**
	 * greatnews_pro_page_start_action hook
	 *
	 * @hooked greatnews_pro_page_start -  10
	 *
	 */
	do_action( 'greatnews_pro_page_start_action' ); 

	/**
	 * greatnews_pro_loader_action hook
	 *
	 * @hooked greatnews_pro_loader -  10
	 *
	 */
	do_action( 'greatnews_pro_before_header' );

	/**
	 * greatnews_pro_header_action hook
	 *
	 * @hooked greatnews_pro_header_start -  10
	 * @hooked greatnews_pro_site_branding -  20
	 * @hooked greatnews_pro_site_navigation -  30
	 * @hooked greatnews_pro_header_end -  50
	 *
	 */
	do_action( 'greatnews_pro_header_action' );

	/**
	 * greatnews_pro_content_start_action hook
	 *
	 * @hooked greatnews_pro_content_start -  10
	 *
	 */
	do_action( 'greatnews_pro_content_start_action' );

	/**
	 * greatnews_pro_header_image_action hook
	 *
	 * @hooked greatnews_pro_header_image -  10
	 *
	 */
	do_action( 'greatnews_pro_header_image_action' );

	 if ( greatnews_pro_is_frontpage() ) {
    	$options = greatnews_pro_get_theme_options();

    	if ( $options['home_layout'] == 'default-design' ) {

			$sections = array( 'breakingnews', 'hero', 'thumbnail', 'main_post_wrapper', 'media_news', 'secondary_post_wrapper', 'blog' );
		}

		if ( $options['home_layout'] == 'sixth-design' ) {
			$sections = array( 'slider', 'service', 'product', 'subscription', 'featured', 'blog' );
		}

		if ( $options['home_layout'] == 'seventh-design' ) {
			$sections = array( 'slider', 'thumbnail', 'hero', 'media_news', 'most_viewed', 'subscription', 'blog' );
		}

		if ( $options['home_layout'] == 'eight-design' ) {
			$sections = array( 'breakingnews', 'slider', 'about', 'service', 'counter', 'course', 'subscription', 'team', 'blog' );
		}

		if ( $options['home_layout'] == 'ninth-design' ) {
			$sections = array( 'breakingnews', 'slider', 'service', 'popular_destination', 'subscription', 'popular_tours', 'counter', 'blog' );
		}

		if ( $options['home_layout'] == 'ten-design' ) {
			$sections = array( 'breakingnews', 'slider', 'service', 'cta', 'about', 'counter', 'team', 'subscription', 'blog' );
		}

		if ( $options['home_layout'] == 'eleven-design' ) {
			$sections = array( 'slider', 'about', 'cta', 'service', 'video', 'features', 'counter', 'team', 'subscription', 'blog' );
		}

		if ( $options['home_layout'] == 'twelve-design' ) {
			$sections = array( 'slider', 'service', 'about', 'features', 'counter', 'team', 'reason', 'blog' );
		}
  
		foreach ( $sections as $section ) {
			add_action( 'greatnews_pro_primary_content', 'greatnews_pro_add_'. $section .'_section' );
		}

		do_action( 'greatnews_pro_primary_content' );
	}
