<?php
/**
 * custom style file.
 *
 *
 * @package Theme Palace
 * @subpackage Greatnews Pro
 * @since Greatnews Pro 1.0.0
 */

function greatnews_pro_style( $args = array() ) {
		$options = greatnews_pro_get_theme_options();
	?>
	<style type="text/css">
		<?php if ( $options['hide_archive_banner'] == true ): ?>
			.search #page-site-header,
			.blog #page-site-header,
			.archive #page-site-header{
				padding: 100px;
				background-color: #fe463a;
			}

			.search #page-site-header .overlay,
			.archive #page-site-header .overlay,
			.blog #page-site-header .overlay{
				opacity: 0;
			}
			
			@media screen and (min-width: 1025px){
				.search #page-site-header .page-title,
				.blog #page-site-header .page-title,
				.archive #page-site-header .page-title
				 {
				    font-size: 40px;
				}	
			}
				
		<?php endif ?>
		<?php if ( $options['single_hide_banner'] == true ): ?>
			body:not(home).page #page-site-header,
			.single  #page-site-header
			{
				padding: 100px;
				background-color: #fe463a;
			}

			body:not(home).page #page-site-header .overlay,
			.single #page-site-header .overlay{
				opacity: 0;
			}
			
			@media screen and (min-width: 1025px){
				body:not(home).page #page-site-header .page-title,
				.single #page-site-header .page-title {
				    font-size: 40px;
				}	
			}
				
		<?php endif ?>

		<?php if ( $options['single_post_title_position'] == 'inside-page-header-wrapper' ): ?>
			.single .entry-title{
				display: none;
			}
			<?php else: ?>
				.single .page-title{
					display: none;
				}
				
		<?php endif ?>
	</style>
		
<?php }
add_action( 'wp_head', 'greatnews_pro_style' );