<?php
/**
* Featured Product Section options
*
* @package Theme Palace
* @subpackage Greatnews Pro
* @since Greatnews Pro 1.0.0
*/

// Add featured section
$wp_customize->add_section( 'greatnews_pro_featured_section', array(
	'title'             => esc_html__( 'Featured Products','greatnews-pro' ),
	'description'       => esc_html__( 'Note: To activate this section you need to install WooCommerce Plugin.', 'greatnews-pro' ),
	'panel'             => 'greatnews_pro_front_page_panel',
	) );

// featured content enable control and setting
$wp_customize->add_setting( 'greatnews_pro_theme_options[featured_section_enable]', array(
	'default'			=> 	$options['featured_section_enable'],
	'sanitize_callback' => 'greatnews_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Greatnews_Pro_Switch_Control( $wp_customize, 'greatnews_pro_theme_options[featured_section_enable]', array(
	'label'             => esc_html__( 'Featured Section Enable', 'greatnews-pro' ),
	'section'           => 'greatnews_pro_featured_section',
	'on_off_label' 		=> greatnews_pro_switch_options(),
	) ) );

for ( $i = 1; $i <= 2; $i++ ) :


// Add dropdown category setting and control.
	$wp_customize->add_setting(  'greatnews_pro_theme_options[featured_content_featured_category_'.$i.']', array(
		'sanitize_callback' => 'absint',
		) ) ;

$wp_customize->add_control( new Greatnews_Pro_Dropdown_Taxonomies_Control( $wp_customize,'greatnews_pro_theme_options[featured_content_featured_category_'.$i.']', array(
	'label'             => esc_html__( 'Select Featured Category ', 'greatnews-pro' ).$i,
	'section'           => 'greatnews_pro_featured_section',
	'taxonomy'			=> 'product_cat',
	'type'              => 'dropdown-taxonomies',
	'active_callback'	=> 'greatnews_pro_is_featured_section_enable'
	) ) );

$wp_customize->add_setting( 'greatnews_pro_theme_options[featured_short_description_'.$i.']', array(
	'sanitize_callback' => 'sanitize_text_field',
	) );

$wp_customize->add_control( 'greatnews_pro_theme_options[featured_short_description_'.$i.']', array(
	'label'           	=> esc_html__( 'Short Description ', 'greatnews-pro' ).$i,
	'section'        	=> 'greatnews_pro_featured_section',
	'active_callback' 	=> 'greatnews_pro_is_featured_section_enable',
	'type'				=> 'text',
	) );

endfor;

// featured btn title setting and control
$wp_customize->add_setting( 'greatnews_pro_theme_options[featured_btn_title]', array(
	'sanitize_callback' => 'sanitize_text_field',
	) );

$wp_customize->add_control( 'greatnews_pro_theme_options[featured_btn_title]', array(
	'label'           	=> esc_html__( 'Button Label ', 'greatnews-pro' ),
	'section'        	=> 'greatnews_pro_featured_section',
	'active_callback' 	=> 'greatnews_pro_is_featured_section_enable',
	'type'				=> 'text',
	) );

