<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Greatnews Pro
 * @since Greatnews Pro 1.0.0
 */

// Add archive section
$wp_customize->add_section( 'greatnews_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','greatnews-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'greatnews-pro' ),
	'panel'             => 'greatnews_pro_theme_options_panel',
	) );

// Your latest posts title setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[your_latest_posts_title]', array(
	'default'           => $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
	) );

$wp_customize->add_control( 'greatnews_pro_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'greatnews-pro' ),
	'description'       => esc_html__( 'This option only works if Static Front Page is set to "Your latest posts."', 'greatnews-pro' ),
	'section'           => 'greatnews_pro_archive_section',
	'type'				=> 'text',
	'active_callback'   => 'greatnews_pro_is_latest_posts'
	) );

// Archive category setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[hide_category]', array(
	'default'           => $options['hide_category'],
	'sanitize_callback' => 'greatnews_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Greatnews_Pro_Switch_Control( $wp_customize, 'greatnews_pro_theme_options[hide_category]', array(
	'label'             => esc_html__( 'Hide Category', 'greatnews-pro' ),
	'section'           => 'greatnews_pro_archive_section',
	'on_off_label' 		=> greatnews_pro_hide_options(),
	) ) );

// Archive date setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[hide_date]', array(
	'default'           => $options['hide_date'],
	'sanitize_callback' => 'greatnews_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Greatnews_Pro_Switch_Control( $wp_customize, 'greatnews_pro_theme_options[hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'greatnews-pro' ),
	'section'           => 'greatnews_pro_archive_section',
	'on_off_label' 		=> greatnews_pro_hide_options(),
	) ) );

// Archive category setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[hide_archive_banner]', array(
	'default'           => $options['hide_archive_banner'],
	'sanitize_callback' => 'greatnews_pro_sanitize_switch_control',
	) );

$wp_customize->add_control( new Greatnews_Pro_Switch_Control( $wp_customize, 'greatnews_pro_theme_options[hide_archive_banner]', array(
	'label'             => esc_html__( 'Hide Archive Banner', 'greatnews-pro' ),
	'section'           => 'greatnews_pro_archive_section',
	'on_off_label' 		=> greatnews_pro_hide_options(),
	) ) );