<?php
/**
 * Loader options
 *
 * @package Theme Palace
 * @subpackage Greatnews Pro
 * @since Greatnews Pro 1.0.0
 */

$wp_customize->add_section( 'greatnews_pro_loader', array(
	'title'            		=> esc_html__( 'Loader','greatnews-pro' ),
	'description'      		=> esc_html__( 'Loader section options.', 'greatnews-pro' ),
	'panel'            		=> 'greatnews_pro_theme_options_panel',
	) );

// Loader enable setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[loader_enable]', array(
	'sanitize_callback' => 'greatnews_pro_sanitize_switch_control',
	'default'             	=> $options['loader_enable'],
	) );

$wp_customize->add_control(  new Greatnews_Pro_Switch_Control( $wp_customize, 'greatnews_pro_theme_options[loader_enable]', array(
	'label'               	=> esc_html__( 'Enable loader', 'greatnews-pro' ),
	'section'             	=> 'greatnews_pro_loader',
	'on_off_label' 		=> greatnews_pro_switch_options(),
	) ) );

// Loader icons setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[loader_icon]', array(
	'sanitize_callback' 	=> 'greatnews_pro_sanitize_select',
	'default'				=> $options['loader_icon'],
	) );

$wp_customize->add_control( 'greatnews_pro_theme_options[loader_icon]', array(
	'label'           		=> esc_html__( 'Icon', 'greatnews-pro' ),
	'section'         		=> 'greatnews_pro_loader',
	'type'					=> 'select',
	'choices'				=> greatnews_pro_get_spinner_list(),
	'active_callback' 		=> 'greatnews_pro_is_loader_enable',
	) );
