<?php
/**
 * Typography options
 *
 * @package Theme Palace
 * @subpackage Greatnews Pro
 * @since Greatnews Pro 1.0.0
 */

// Typography Section
$wp_customize->add_section( 'greatnews_pro_section_typography',
	array(
		'title'      		=> esc_html__( 'Typography', 'greatnews-pro' ),
		'priority'   		=> 600,
		'panel'      		=> 'greatnews_pro_theme_options_panel',
		)
	);

// Theme typography setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[theme_typography]',
	array(
		'default'    		=> $options['theme_typography'],
		'sanitize_callback'	=> 'greatnews_pro_sanitize_select',
		)
	);
$wp_customize->add_control( 'greatnews_pro_theme_options[theme_typography]',
	array(
		'label'       		=> esc_html__( 'Choose Heading Typography', 'greatnews-pro' ),
		'section'     		=> 'greatnews_pro_section_typography',
		'settings'    		=> 'greatnews_pro_theme_options[theme_typography]',
		'type'		  		=> 'select',
		'choices'			=> greatnews_pro_typography_options(),
		)
	);

//Body Theme typography setting and control.
$wp_customize->add_setting( 'greatnews_pro_theme_options[body_theme_typography]',
	array(
		'default'    		=> $options['body_theme_typography'],
		'sanitize_callback'	=> 'greatnews_pro_sanitize_select',
		)
	);
$wp_customize->add_control( 'greatnews_pro_theme_options[body_theme_typography]',
	array(
		'label'       		=> esc_html__( 'Choose Body Typography', 'greatnews-pro' ),
		'section'     		=> 'greatnews_pro_section_typography',
		'settings'    		=> 'greatnews_pro_theme_options[body_theme_typography]',
		'type'		  		=> 'select',
		'choices'			=> greatnews_pro_body_typography_options(),
		)
	);