<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Greatnews Pro
* @since Greatnews Pro 1.0.0
*/

if ( ! function_exists( 'greatnews_pro_validate_long_excerpt' ) ) :
  function greatnews_pro_validate_long_excerpt( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 5 ) {
         $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'greatnews-pro' ) );
     } elseif ( $value > 100 ) {
         $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_breakingnews_count' ) ) :
  function greatnews_pro_validate_breakingnews_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'greatnews-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_hero_count' ) ) :
  function greatnews_pro_validate_hero_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'greatnews-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;


 if ( ! function_exists( 'greatnews_pro_validate_thumbnail_count' ) ) :
  function greatnews_pro_validate_thumbnail_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 4 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'greatnews-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_slider_count' ) ) :
  function greatnews_pro_validate_slider_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'greatnews-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_most_viewed_count' ) ) :
  function greatnews_pro_validate_most_viewed_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'greatnews-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_reading_post_count' ) ) :
  function greatnews_pro_validate_reading_post_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'greatnews-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_single_column_count' ) ) :
  function greatnews_pro_validate_single_column_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'greatnews-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_blog_count' ) ) :
  function greatnews_pro_validate_blog_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'greatnews-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_trending_post_count' ) ) :
  function greatnews_pro_validate_trending_post_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'greatnews-pro' ) );
     } elseif ( $value > 8 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 8', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_service_count' ) ) :
  function greatnews_pro_validate_service_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'greatnews-pro' ) );
     } elseif ( $value > 9 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_product_count' ) ) :
  function greatnews_pro_validate_product_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 4 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'greatnews-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_course_count' ) ) :
  function greatnews_pro_validate_course_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'greatnews-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_team_count' ) ) :
  function greatnews_pro_validate_team_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 1 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'greatnews-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;

 if ( ! function_exists( 'greatnews_pro_validate_popular_destination_count' ) ) :
  function greatnews_pro_validate_popular_destination_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 2 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'greatnews-pro' ) );
     } elseif ( $value > 10 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;


 if ( ! function_exists( 'greatnews_pro_validate_popular_tours_count' ) ) :
  function greatnews_pro_validate_popular_tours_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'greatnews-pro' ) );
     } elseif ( $value > 9 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 9', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;


 if ( ! function_exists( 'greatnews_pro_validate_features_count' ) ) :
  function greatnews_pro_validate_features_count( $validity, $value ){
     $value = intval( $value );
     if ( empty( $value ) || ! is_numeric( $value ) ) {
         $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'greatnews-pro' ) );
     } elseif ( $value < 3 ) {
         $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'greatnews-pro' ) );
     } elseif ( $value > 12 ) {
         $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'greatnews-pro' ) );
     }
     return $validity;
 }
 endif;
