<?php
/**
* Main Post section
*
* This is the template for the content of main_content section
*
* @package Theme Palace
* @subpackage Greatnews Book Pro
* @since Greatnews Book Pro 1.0.0
*/
if ( ! function_exists( 'greatnews_pro_add_main_post_wrapper_section' ) ) :
/**
* Add main_content section
*
*@since Greatnews Book Pro 1.0.0
*/
function greatnews_pro_add_main_post_wrapper_section() {

  greatnews_pro_render_main_content_section();
}
endif;

if ( ! function_exists( 'greatnews_pro_render_main_content_section' ) ) :
/**
* Start main_content section
*
* @return string main_content content
* @since Greatnews Book Pro 1.0.0
*
*/
function greatnews_pro_render_main_content_section() {
  $options = greatnews_pro_get_theme_options();
  ?>
  <div id="main-post-wrapper" class="wrapper">

    <?php if(is_active_sidebar('left-main-post-wrapper')): ?>
      <aside id="left-sidebar" class="widget-area" role="complementary">
        <?php dynamic_sidebar( 'left-main-post-wrapper' ); ?>

      </aside><!-- #secondary sidebar -->

    <?php endif; ?>

    <div id="primary" class="content-area">
    <main id="main" class="site-main" role="main">
    <!-- posts slider -->
    <?php
     
    require get_template_directory() . '/inc/sections/slider.php';

    require get_template_directory() . '/inc/sections/trending.php';

    require get_template_directory() . '/inc/sections/most-viewed-post.php';

    ?>
  </main><!-- #main -->
     
    </div><!-- #primary -->

    <?php if(is_active_sidebar('right-main-post-wrapper')): ?>
      <aside id="secondary" class="widget-area right-sidebar" role="complementary">
        <?php dynamic_sidebar( 'right-main-post-wrapper' ); ?>

      </aside><!-- #secondary sidebar -->

    <?php endif; ?>

  </div><!-- #main-post-wrapper -->

  <?php }
  endif;