<?php
/**
* Trending section
*
* This is the template for the content of trending section
*
* @package Theme Palace
* @subpackage Greatnews Pro
* @since Greatnews Pro 1.0.0
*/

if( $options['trending_section_enable'] !== false ):

$options = greatnews_pro_get_theme_options();

$sidebar_cat = ! empty( $options['trending_content_sidebar_category'] ) ? $options['trending_content_sidebar_category'] : array();
$trending_content_type  = $options['trending_news_content_type'];
$content_details = array();
$content_details['sidebar'] = array();
$content_details['sidebar_cat'] = array();
$content_details['thumbnail_post'] = array();

switch ( $trending_content_type ) {


    case 'page':
    $page_id = ! empty( $options['trending_news_content_page'] ) ? $options['trending_news_content_page'] : '';
    $args = array(
        'post_type'         => 'page',
        'page_id'           => $page_id,
        'posts_per_page'    => 1,
        );                    
    break;

    case 'post':
    $post_ids = ! empty( $options['trending_news_content_post'] ) ? $options['trending_news_content_post'] : '';
    $args = array(
        'post_type'         => 'post',
        'p'                 => $post_ids,
        'posts_per_page'    => 1,
        'ignore_sticky_posts' => true,
        );
    break;

    case 'custom':
    $custom['title']        = ! empty( $options['trending_news_title'] ) ? $options['trending_news_title'] : '';
    $custom['excerpt']      = ! empty( $options['trending_news_description'] ) ? $options['trending_news_description'] : '';
    $custom['image']        = ! empty( $options['trending_news_image'] ) ? $options['trending_news_image'] : '';
    $custom['url']          = ! empty( $options['trending_news_btn_link'] ) ? $options['trending_news_btn_link'] : '';

// Push to the main array.
    array_push( $content_details['thumbnail_post'], $custom );
    break;

    default:
    break;
}

if ( 'custom' !== $trending_content_type ) :
// Run The Loop.
    $query = new WP_Query( $args );
if ( $query->have_posts() ) : 
    while ( $query->have_posts() ) : $query->the_post();
$page_post['id']        = get_the_id();
$page_post['title']     = get_the_title();
$page_post['url']       = get_the_permalink();
$page_post['excerpt']   = greatnews_pro_trim_content( 25 );
$page_post['image']     = has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), 'post-thumbnail' ) : get_template_directory_uri() . '/assets/uploads/no-featured-image-590x650.jpg';

// Push to the main array.
array_push( $content_details['thumbnail_post'], $page_post );
endwhile;
endif;
wp_reset_postdata();
endif;

?>

<div id="trending-news">
    <div class="featured-news">
        <?php if ( ! empty( $options['trending_title'] ) ) : ?>
            <div class="section-header">
                <h2 class="section-title"><?php echo esc_html( $options['trending_title'] ); ?></h2>
            </div><!-- .section-header -->
        <?php endif; ?>

        <?php  foreach ( $content_details['thumbnail_post'] as $content ) : ?>
            <article class="has-post-thumbnail">
                <div class="featured-image" style="background-image: url('<?php echo esc_url( $content['image'] ); ?>');">
                </div><!-- .featured-image -->

                <div class="entry-container">
                    <?php if($options['home_layout'] == 'default-design'){ ?>

                    <header class="entry-header">
                        <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                    </header>
                    <div class="entry-content">
                        <p><?php echo wp_kses_post( $content['excerpt'] ); ?></p>
                    </div>

                    <?php if ( $trending_content_type !== 'custom' ): ?>

                        <div class="entry-meta">
                            <?php greatnews_pro_posted_on( $content['id'] );

                            if ( $trending_content_type !== 'page' ) : ?>
                            <span class="cat-links">
                                <?php the_category( '', '', $content['id'] ); ?>
                            </span><!-- .cat-links -->
                        <?php endif; ?>
                    </div><!-- .entry-meta -->

                <?php endif;

            }else{

                if ( $trending_content_type !== 'page' ) : ?>
                <span class="cat-links">
                    <?php the_category( '', '', $content['id'] ); ?>
                </span><!-- .cat-links -->
            <?php endif; ?>

            <header class="entry-header">
                <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
            </header>
            <div class="entry-content">
                <p><?php echo wp_kses_post( $content['excerpt'] ); ?></p>
            </div>

            <?php if ( $trending_content_type !== 'custom' ): ?>

                <div class="entry-meta">
                    <?php greatnews_pro_posted_on( $content['id'] ); ?>
                </div><!-- .entry-meta -->

            <?php endif; } ?>
        </div><!-- .entry-container -->
    </article>
<?php endforeach; ?>
</div><!-- .featured-news -->

    <div class="tab widget_recent_news">
        <ul id="ajax-filter" class="tabs">
            <?php
            $i = 1;
            foreach ( $sidebar_cat as $cats ) :
                ?>
            <li data-tab="<?php echo esc_attr( get_cat_name( $cats ) ); ?>" class=" <?php echo ( $i == 1 ) ? 'active' : ''; ?>"><a href="#"><?php echo esc_html( get_cat_name( $cats ) ); ?></a></li>
            <?php $i++;
            
            endforeach; ?>
        </ul><!-- #ajax-filter -->

        <?php $i = 1; foreach ( $sidebar_cat as $cats ) : ?>

        <div id="<?php echo esc_html( get_cat_name( $cats ) ); ?>" class="tab-content <?php echo ( $i == 1 ) ? 'active' : ''; ?>">
            <ul>
             <?php 
             $cats_post = array(
                'post_type'         => 'post',
                'posts_per_page'    => absint( $options['trending_post_count'] ),
                'cat'               => absint( $cats ),
                'ignore_sticky_posts'   => true,
                ); 
             $query = new WP_Query( $cats_post );
             if ( $query->have_posts() ) : 
                while ( $query->have_posts() ) : $query->the_post();
            ?>
            <li>
                <a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url(); ?>" alt="<?php the_title(); ?>"></a>
                <div class="entry-container">
                    <?php if($options['home_layout'] !== 'default-design'){ ?>
                    <span class="cat-links">
                        <?php the_category( '', '', $content['id'] ); } ?>
                        <header class="entry-header">
                            <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title( ); ?></a></h2>
                        </header>

                        <div class="entry-meta">
                            <?php greatnews_pro_posted_on( get_the_id() ); ?>
                        </div><!-- .entry-meta -->
                    </div><!-- .entry-container -->
                </li>

                <?php 
                endwhile;
                endif;
                wp_reset_postdata();
                ?>
            </ul>
        </div>
        <?php $i++; endforeach; ?>
    </div>
</div><!-- #trending-news -->

<?php endif; ?>