<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of Greatnews Pro
 *
 * @package Theme Palace
 * @subpackage Greatnews Pro
 * @since Greatnews Pro 1.0.0
 */

/*
 * Add Latest Posts widget
 */
require get_template_directory() . '/inc/widgets/latest-posts-widget.php';

/*
 * Add Popular Posts widget
 */
require get_template_directory() . '/inc/widgets/popular-posts-widget.php';

/*
 * Add Slider Posts widget
 */
require get_template_directory() . '/inc/widgets/top-slider-widget.php';

/*
 * Add Widget Post Filter Posts widget
 */
require get_template_directory() . '/inc/widgets/widget-posts-filter.php';

/*
 * Add Secondary slider sidebar widget
 */
require get_template_directory() . '/inc/widgets/secondary-sidebar-slider.php';

/*
 * Add Recent News sidebar widget
 */
require get_template_directory() . '/inc/widgets/recent-news-widget.php';


/**
 * Register widgets
 */
function greatnews_pro_register_widgets() {

	register_widget( 'Greatnews_Latest_Post' );

	register_widget( 'Greatnews_Popular_Post' );

	register_widget( 'Greatnews_Slider_Post' );
	
	register_widget( 'Greatnews_secondary_sidebar_Slider_Post' );
	
	register_widget( 'Greatnews_Post_Filter' );
	
	register_widget( 'Greatnews_Recent_News_Post' );

}
add_action( 'widgets_init', 'greatnews_pro_register_widgets' );