<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Greatnews Pro
 * @since Greatnews Pro 1.0.0
 */
$options = greatnews_pro_get_theme_options();
?>

<article>
	<?php if ( has_post_thumbnail() ) : ?>
		<div class="featured-image">
			<img src="<?php the_post_thumbnail_url( 'full' ); ?>">
		</div>
	<?php endif; ?>

	<div class="entry-container">
		<?php if($options['home_layout'] == 'default-design'){ ?>
		<div class="entry-meta">
			<span class="cat-links">
				<?php
				if ( ! $options['single_post_hide_category'] ) :
					greatnews_pro_single_categories();
				endif;
				?>
			</span><!-- .cat-links -->

			<?php
			if ( ! $options['single_post_hide_date'] ) :
				greatnews_pro_posted_on();
			endif;
			?>
		</div><!-- .entry-meta -->

		<header class="entry-header">
			<h2 class="entry-title"><?php the_title(); ?></h2>
		</header>

		<div class="entry-content">
			<p><?php the_content(); ?></p>
		</div><!-- .entry-content -->

		<?php
		if ( ! $options['single_post_hide_author'] ) :
			echo greatnews_pro_author( get_the_author_meta('ID') );
		endif;
		?>
		<?php }else{ ?>

		<div class="entry-meta">
			
			<?php
			if ( ! $options['single_post_hide_date'] ) :
				greatnews_pro_posted_on();
			endif;
			?>
		</div><!-- .entry-meta -->

		<span class="cat-links">
			<?php
			if ( ! $options['single_post_hide_category'] ) :
				greatnews_pro_single_categories();
			endif;
			?>
		</span><!-- .cat-links -->

		<header class="entry-header">
			<h2 class="entry-title"><?php the_title(); ?></h2>
		</header>

		<div class="entry-content">
			<p><?php the_content(); ?></p>
		</div><!-- .entry-content -->

		<?php
		if ( ! $options['single_post_hide_author'] ) :
			echo greatnews_pro_author( get_the_author_meta('ID') );
		endif;
		?>

		<?php } ?>
	</div>
</article>
